## python-tiny-proxy 0.2.0

=== debian/changelog ===
python-tiny-proxy (0.2.0-2) unstable; urgency=medium

  * No-change source upload for building on buildds

 -- Benjamin Drung <bdrung@debian.org>  Mon, 04 Sep 2023 20:04:52 +0200

python-tiny-proxy (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1051025)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Sep 2023 14:17:40 +0200

## python-tiny-proxy 0.2.1

=== examples/requirements.txt ===
tiny-proxy>=0.2.0
PyYAML>=3.12

=== debian/changelog ===
python-tiny-proxy (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update year in copyright

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 13:22:10 +0100

=== debian/control ===
Source: python-tiny-proxy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Benjamin Drung <bdrung@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-aiohttp <!nocheck>,
 python3-all,
 python3-anyio <!nocheck>,
 python3-httpx <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-trustme <!nocheck>,
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/romis2012/tiny-proxy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tiny-proxy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tiny-proxy
Rules-Requires-Root: no

Package: python3-tiny-proxy
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Simple proxy server (SOCKS4, SOCKS5, HTTP tunneling) for Python
 Simple proxy (SOCKS4(a), SOCKS5(h), HTTP tunnel) server built with anyio.
 It is used for testing python-socks, aiohttp-socks and httpx-socks packages.

=== debian/rules ===
#! /usr/bin/make -f

# remove next line once httpx-socks is packaged for Debian
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/romis2012/tiny-proxy/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
